@(pendingApplicationsCount: Int, versions: (String, String, String))(implicit req: MessagesRequest[AnyContent], user: model.Tables.UsersRow)

<!DOCTYPE html>

<html lang="en">
    <head>
        @views.html.templates._common_headers("Admin")
    </head>
    <body>
        @views.html.templates._navbar()(req, Some(user))

        <div class="container">
            <div class="text-sm-right">
                <small class="text-muted">Website Version: @versions._1</small>
                <br />
                <small class="text-muted">Database Version: @versions._2</small>
                <br />
                <small class="text-muted">Build Stamp: @versions._3</small>
            </div>
            <h3>Players</h3>
            <hr />
            @if(pendingApplicationsCount > 0){
                <a href="@routes.AdminController.listPendingApplications()" class="btn btn-info mb-2">Review Applications (@pendingApplicationsCount pending)</a>
            }else{
                <a href="@routes.AdminController.listPendingApplications()" class="btn btn-secondary mb-2">Review Applications (0 pending)</a>
            }
            <br />
            <a href="@routes.AdminController.showCreatePlayerForm()" class="btn btn-success mb-2">Create Player</a>
            <br />
            <a href="@routes.AdminController.showEditPlayerDirectory()" class="btn btn-warning mb-2">Edit Player</a>
            <h3>Games</h3>
            <hr />
            <a href="@routes.AdminController.showNewGameForm(true)" class="btn btn-success mb-2">Create New MLR Game</a>
            <br />
            <a href="@routes.AdminController.showNewGameForm(false)" class="btn btn-success mb-2">Create New MiLR Game</a>
            <br />
            <a href="#" class="btn btn-secondary disabled mb-2">Modify Game Record</a>
            <br />
            <a href="@routes.AdminController.viewEndGameForm()" class="btn btn-warning mb-2">Mark Game Complete</a>
            <br />
            <a href="#" class="btn btn-secondary disabled mb-2">Delete Game</a>
            <h3>Umpires</h3>
            <hr />
            <a href="@routes.AdminController.showUmpireStatusForm()" class="btn btn-warning mb-2">Manage Umpires</a>
            <br />
            <a href="@routes.AdminController.showUmpireAssignmentForm()" class="btn btn-warning mb-2">Assign Umpire to Game</a>
            <br />
            <a href="@routes.AdminController.redirectToCurrentGameHealthTable()" class="btn btn-success mb-2">View Game Health</a>
            <h3>Teams</h3>
            <hr />
            <a href="@routes.AdminController.showEditTeamSelector()" class="btn btn-warning mb-2">Edit Teams</a>
            <br />
            <a href="@routes.AdminController.showSetGmTeamSelector()" class="btn btn-warning mb-2">Change GM</a>
            <br />
            <a href="#" class="btn btn-secondary disabled mb-2">Delete Team</a>
            <h3>Parks</h3>
            <hr />
            <a href="@routes.AdminController.showEditParkSelector()" class="btn btn-warning mb-2">Edit Parks</a>
        </div>
    </body>
</html>
